Bug 150197 - games/gnome-games: gnome-sudoku fails on startup
Summary: games/gnome-games: gnome-sudoku fails on startup
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-01 20:10 UTC by David Gurvich
Modified: 2010-10-02 17:20 UTC (History)
0 users

See Also:


Attachments
file.diff (422 bytes, patch)
2010-09-01 20:10 UTC, David Gurvich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Gurvich 2010-09-01 20:10:03 UTC
gnome-sudoku in gnome-2.30 fails on startup.

Fix: The defaults.py file is using an incorrect object attribute.  Changing to the correct object fixes the problem.

Patch attached with submission follows:
How-To-Repeat: Install gnome-sudoku and try to start the game.
Comment 1 Jilles Tjoelker freebsd_committer 2010-09-01 22:18:07 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-ports-bugs

Ports PR.
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2010-09-13 07:54:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Over to maintainer(s).
Comment 3 dfilter service freebsd_committer 2010-10-02 17:18:21 UTC
mezz        2010-10-02 16:18:16 UTC

  FreeBSD ports repository

  Modified files:
    games/gnome-games    Makefile 
  Added files:
    games/gnome-games/files patch-glchess_src_lib_defaults.py.in 
                            patch-gnome-sudoku_src_lib_defaults.py.in 
  Log:
  Fix gnome-sudoku and gnome-glcless in the runtime, bump the PORTREVISION.
  
  PR:             ports/150197
  Submitted by:   David Gurvich <davidgurvich@gmail.com>
  
  Revision  Changes    Path
  1.146     +1 -1      ports/games/gnome-games/Makefile
  1.1       +11 -0     ports/games/gnome-games/files/patch-glchess_src_lib_defaults.py.in (new)
  1.1       +11 -0     ports/games/gnome-games/files/patch-gnome-sudoku_src_lib_defaults.py.in (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Jeremy Messenger freebsd_committer 2010-10-02 17:18:31 UTC
State Changed
From-To: open->closed

Committed, thanks!